*  Fractal.r -- Resource definition file for fractal contour map
*               application.

* Tell RMAKER what to name the resource file
!fractal
APPLfrak

* Version data for the finder
*    Our signature is "frak"
*    res. ID = 0, by convention
*    finder version data
*    Note that the blank in 'STR ' is significant 3/8/85 WHJ
TYPE frak = STR 
  ,0
  Frac 1.0 -- July 13, 1985

* Menus
*   ID (4 => pre-load the resource; MUST NOT be purgeable!)
*   menu title: an Apple symbol (in hex) for the Apple menu.
*   menu entries, one per line. ( means it's initially disabled.
*   An entry of  (-  means a disabled line of dashes.
*   A trailing /Q means a command-key equivalent.
*   blank line at end of menu.
Type MENU
  ,1(4)
\14
 About Fractal Contours
 (-

Type MENU
  ,2(4)
File
 New/N
 (-
 (Save as Paint FileI
 (-
 Quit/Q

   ,3(4)
Edit
 (Undo
 (-
 Cut/X
 Copy/C
 Paste/V
 Clear

    ,4(4)
Options
 Contour ParametersI

* A Window template
*   ID,(4 => pre-load the resource; 32 => purgeable)
*    title
*    BoundsRect (global Top, Left, Bottom, Right): where it appears on the
screen
*    Vis NoGo: it's visible, does not have close box
*    ProcId: this is a standard type of window
*    Refcon, for program's use.  Frac doesn't use it.
Type WIND
  ,260(36)
  Fractal Contours
  39 1 341 511
  Visible NoGoAway
  0
  0

* Picture declarations.
* For the Information screens.
* Since RMaker doesn't know how to use these in
* DITL's, we have to get in and patch it up with
* ResEdit later.  Suck city!

* Type PICT = GNRL
*     ,128
*     .R
* Draw:Scrapbook PICT -32753
*
*     ,129
*     .R
* Draw:Scrapbook PICT -32752


* dialog box for About Fractal Contours
*   ID (4 => pre-load the resource; MUST NOT be purgeable!)
*   title
*   BoundsRect(global: TLBR)
*   Vis NoGo: it's visible, but has no close box
*   ProcID: Window type is modal dialog
*   RefCon: Unused user variable
*   res. ID of item list
Type DLOG
  ,256(4)
  Information Box
  28 24 328 485
  Visible NoGoAway
  1
  0
  256

  ,257(4)
  Information Box #2
  28 24 328 485
  Visible NoGoAway
  1
  0
  257

  ,258(4)
  Contour Parameters
  44 109 221 397
  Visible NoGoAway
  0
  0
  258



* dialog item list for About Fractal
*   ID (4 => pre-loaded; 32 => purgeable - it should always be purgeable.)
*   # Items
*   the first item:
*      a Button you can select
*      display rect (local coords)
*      title
Type DITL
  ,256(36)
  3
  Button Enabled
  97 14 118 99
OK

  Button Enabled
  96 114 118 201
More Info 

  StatText Disabled
  20 10 300 400
Picture here

  ,257(36)
  2
  Button Enabled
  273 205 294 290
OK

  StatText Disabled
  20 10 300 400
Picture here

* dialog item list for Setup
*   ID (4 => pre-loaded; 32 => purgeable - it should always be purgeable.)
  ,258(36)
8
*   1
BtnItem Enabled
144 32 164 92
OK

*   2
BtnItem Enabled
144 184 164 244
CANCEL

*   3
StatText Disabled
32 16 48 128
Level of Detail:

*   4
EditText Disabled
32 128 49 162

*   5
RadioItem Enabled
64 120 80 240
Mountainous

*   6
RadioItem Enabled
88 120 104 224
Foothills

*   7
RadioItem Enabled
112 120 128 264
Foothills & Water

*   8
StatText Disabled
64 16 83 116
Contour type:

***
* Finder's Information follows.
***

Type BNDL
   ,128(32)
   FRAC 0
   ICN# 0
   0 128 1 129
   FREF 0
   0 128 1 129

* a File Reference
*   ID, (32 => purgeable)
*   "APPL" : a file of type APPL (FRAC itself) gets the following icon (a
mountain);
*       local icon ID; maps to global ID as specified in BNDL
*   name of file that must accompany application if transferred; omit if none.
  Type FREF
   ,128(32)
   APPL 0

* An icon list for the application icon (a mountain)
*   ID (the application icon), (32 => purgeable)
*   Data is Hex data (.H)
*   the icon data: 32 lines of 8 hex chars each
*   the icon mask: 32 lines of 8 hex chars each
Type ICN# = GNRL
 ,128(32)
.H
0000 0000 0000 0000 0000 0000 0000 0000
0000 E000 0003 E000 0006 1000 0006 1000
000C 0800 003C 0C00 007C 7A00 0047 E300
01C6 1100 030C 1080 0278 10C0 06EE 3CE0
0583 47F0 1F00 C118 3303 820C 61BE 1C1E
4063 FFF7 7FFF 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
*
0000 0000 0000 0000 0000 0000 0000 0000
0000 E000 0003 E000 0007 F000 0007 F000
000F F800 003F FC00 007F FE00 007F FF00
01FF FF00 03FF FF80 03FF FFC0 07FF FFE0
07FF FFF0 1FFF FFF8 3FFF FFFC 7FFF FFFE
7FFF FFFF 7FFF 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000

****    end of information for the finder                          ****
***********************************************************************


*INCLUDE fractal.code

