#define DEBUG -7		/* Includes debugging printer. */
				/* Use -7 for modem port, -9 for printer. */
#define DEVELOP "Frac:Fractal Contours"	/* Resource file to open for
					   faster program development. */

#define LASTMENU 4		/* Number of menus. */
#define APPLEMENU 1		/* Menu ID for Apple menu. */
#define FILEMENU 2		/* Menu ID for File menu. */
#define EDITMENU 3		/* Menu ID for Edit menu. */
#define SETUPMENU 4		/* Menu ID for parameter setting. */

#define ANOTHER 1		/* Items in the File menu. */
 /*-------*/
#define SAVEPAINT 3
 /*-------*/
#define IQUIT 5

#define SETUP 1			/* Items in the Setup menu. */

#define INFOSCR1 256		/* Resource ID for info dialog. */
#define INFOSCR2 257		/*   " info #2 dialog. */

#define INFOOK 1		/* OK Button */
#define INFOMORE 2		/* More Info Button */


#define WINDOWID 260		/* Resource ID for my window. */


/* Setup Dialog Stuff */
#define STPDLGID 258		/* ID of our setup dialog in resource
				   fork. */
#define SETUPOK 1		/* OK Button */
#define SETUPCAN 2		/* CANCEL Button */
#define SETUPLEVL 4		/* Level Text field */
#define SETUPMTN 5		/* Mountain RadButton */
#define SETUPHIL 6		/* Hills RadButton */
#define SETUPWATR 7		/* Water RadButton */

#define MAXLEVEL 7		/* Maximum level of detail. */
#define DEFLTLEV 4		/* Default level. */
#define DEFLTTYP SETUPWATR	/* Default type. */

#define XDIM 129		/* 2^MAXLEVEL+1 */
#define YDIM 65			/* 2^(MAXLEVEL-1)+1 */

int (*points)[XDIM][YDIM];	/* The array of points to be subdivided. */
int xmax, ymax;
int conttype; 			/* Contour type. */
int contlevl;			/* Level of detail. */

